### Method

# GUPnP ServiceProxyAction set

#### Declaration [src]

    gboolean
    gupnp_service_proxy_action_set (
      GUPnPServiceProxyAction* action,
      const char* key,
      const GValue* value,
      GError** error
    )

#### Description [src]

Update the value of `key` to `value`.

`key` needs to already exist in `action`.

Available since: | 1.4.0

#### Parameters

`key` | `const char*`
| The name of the value to modify.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `GValue`
| The new value of `key`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| True if successfully modified, false otherwise.